CC     = gcc
CFLAGS = -g -O2    -I/usr/include -fomit-frame-pointer -DSFFE_USING -DSFFE_CMPLX_GSL -I/home/science/projects/cool-hacker/XaoS/src/include
LIBS   = -lpng -lz -lm -laa -lcaca      -lX11  -lXext -L/usr/lib/x86_64-linux-gnu -lgsl -lgslcblas -lm -lm
LFLAGS = 
#AR     = ar
RANLIB = ranlib

SRCS = ui_gtk.c 

OBJS = $(SRCS:.c=.o)

TLIB = /home/science/projects/cool-hacker/XaoS/src/lib/libuigtk.a


all:	$(TLIB)

$(TLIB):$(OBJS)
	rm -f $@
	$(AR) rc $@ $^
	$(RANLIB) $@ 

clean:
	rm -f $(TLIB)
	rm -f *.[oas]
	rm -f *~
	rm -f core 

distclean:clean
	rm  Makefile

#dep:
#	rm -f .depend
#	make .depend
#
#.depend:
#	echo '# Program dependencies' >.depend
#	gcc -I svgalib $(DEFINES) -MM $(patsubst %.o,%.c,$(OBJS)) >>.depend
#
#include .depend
